
Name:           fusion-icon
Version:        0.2.4
Release:    1%{?dist}
Summary:        Compiz Fusion panel applet
License:        GPLv2+
URL:            https://gitlab.com/compiz/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
BuildArch:      noarch

Patch1:         fusion-icon_0001-Fix-typeerror-in-python3.6.patch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  gobject-introspection-devel
BuildRequires:  desktop-file-utils

Requires:       ccsm
Requires:       gobject-introspection
Requires:       libappindicator-gtk3
Requires:       compizconfig-python
Requires:       python3-gobject
Requires:       python3-qt5
Requires:       xvinfo

%description
The Compiz Fusion Icon is a simple panel applet for starting and controlling
Compiz Fusion. Upon launch, it will attempt to start Compiz Fusion
automatically. You may need to select a window decorator, if one does not
appear.


%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%py3_build -- --with-gtk=3.0

%install
%py3_install

mv %{buildroot}%{_datadir}/{metainfo,appdata}/

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/fusion-icon.desktop



%files
%doc COPYING
%{_bindir}/fusion-icon
%{_datadir}/applications/fusion-icon.desktop
%dir %{python3_sitelib}/FusionIcon/
%{python3_sitelib}/FusionIcon/*py*
%{_datadir}/appdata/fusion-icon.appdata.xml
%{_datadir}/icons/hicolor/*/apps/fusion-icon.png
%{_datadir}/icons/hicolor/scalable/apps/fusion-icon.svg
%{python3_sitelib}/fusion_icon-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/FusionIcon/interface_gtk/
%{python3_sitelib}/FusionIcon/interface_qt/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.4-1
- initial build
